#include <stdio.h>

#define		ASCII		0x401
#define		END_OF_STR	0x402
#define		ENTER 		0x403
#define		COLOR_CHANGE_1	0x404
#define		COLOR_CHANGE_2	0x405
#define		COLOR_CHANGE_3	0x406
#define		DEFAULT_COLOR	0x407
#define		UNKNOWN		0x4AA
#define		ENTERNL		0x4AB

#define		BLOCKSIZE	512

typedef struct ascii_array_st* ascii_array;

struct ascii_array_st{
	int address;
	int *array;	
	int csize;
	int size;
	int invalid;
};

ascii_array new_ascii();
ascii_array insert_ascii(int value, ascii_array text);
void fprint_ascii(FILE *file, ascii_array text);
ascii_array free_ascii(ascii_array text);
ascii_array setaddress(int address, ascii_array text);

ascii_array grow_ascii(ascii_array text);

